hive-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "dima machlin (JIRA)" <j...@apache.org>
Subject [jira] [Created] (HIVE-6141) Can't select from views after upgrading metastore from 0.7 to 0.10
Date Sun, 05 Jan 2014 13:43:50 GMT
dima machlin created HIVE-6141:
----------------------------------

             Summary: Can't select from views after upgrading metastore from 0.7 to 0.10
                 Key: HIVE-6141
                 URL: https://issues.apache.org/jira/browse/HIVE-6141
             Project: Hive
          Issue Type: Bug
          Components: Metastore
    Affects Versions: 0.10.0
            Reporter: dima machlin
            Priority: Minor


Selecting from a view created in 0.7 after upgrade to 0.10 fails on 
bq. Invalid table alias or column reference
The reason is that while running this :
bq. create view a as select b from c.d;
in v0.7 will generate in the metastore this SQL :
bq. select `*c.*d`.b from `c`.`d`; which fails in v0.10
While running the same SQL in v0.10 generates different SQL :
bq. select `d`.b from `c`.`d`; which succeeds in v0.10.

A workaround is to recreate the view.



--
This message was sent by Atlassian JIRA
(v6.1.5#6160)

Mime
View raw message